@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

/* set some variables for colors */
:root {
	--dark-blue: #1f2732;
	--pink: #f54a7d;
	--blue: #006699;
}

html {
	background: white;
}

body {
	font-family: 'Roboto', "sans serif";
	background: white;
	/*width: 80%;*/
	width: 800px; /* A4 Size @ ~96 dpi */
	margin: auto;
	padding: 40px;
}

h1, h2, h3 {
	color: var(--dark-blue);
}

a {
	color: var(--blue);
	text-decoration: none;
}

a:hover {
	color: grey;
	text-decoration: underline;
}

section p {
	line-height: 2 ;
}

/* ---- TITLE ---- */
.title {
	font-size: 12px;
	padding: 12px;
	border-bottom: 1px solid lightgrey;
}


/* ---- FIGURES------- */

figcaption {
	font-size: 12px;
}

figure img {	
	width: 100%;
}

/* ----- TABLES -------- */

table {
	border-collapse: collapse;
	border-bottom: 1px solid black;
	font-size: 12px;
	width: 100%;
	text-align: left;
}

th {
	background: white;
	border-top: 1px solid;
	border-bottom: 1px solid black;
}
table, th, td {
	padding: 10px;
}



/* ---- REFERENCES ---- */

.citation {
	color: var(--pink);;
}

.citation a {
	color: var(--pink);
	/*text-decoration: none;*/
}


#nav_bar {
	background: var(--dark-blue) !important;
	color: white;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	vertical-align: middle;
}


/* TABLE OF CONTENTS */
nav li, ul {
    list-style: none;
}

#TOC li, ul {
    list-style: none;
}


/* ----------  MODAL IMAGES -----------------*/

img {
	cursor: pointer;
	transition: 0.3s;	
}

img:active {
	opacity: 0.7;
}


/* The Modal (background) */
.modal {
	display: none; /* hidden by default */
	position: fixed; /* stay in place */
	z-index: 1; /* stay on top */
	padding-top: 50px; /* Location of the box  */
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto; /* enable scroll if needed */
	background-color: rgb(0,0,0); /*fallback color */
	background-color: rgba(0, 0, 0, 0.9);
	z-index: 100000;
	
}	

/* Modal Content (Image) */
.modal-content {
	margin: auto;
	display: block;
	max-width: 900px;
}


/* Caption of Modal Image (Image text) */
#imgCaption {
	margin: auto;
	display: block;
	width: 80%;
	text-align: left;
	color: #ccc;
	padding: 10px 0;
	height: 150px;
	max-width: 900px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
	animation-name: zoom;
	animation-duration: 0.6s;
}

/* The Close Button */
.close {
	position: absolute;
	top: 15px;
	right: 35px;
	color: #f1f1f1;
	font-size: 40px;
	font-weight: bold;
	transition: 0.3s;
}

.close:hover, .close:focus {
	color: #bbb;
	text-decoration: none;
	cursor: pointer;
}


#cite {
	margin: auto;
	width: 100%;
	overflow-x: scroll;
	background: #ededed;
	border-radius: 5px;
	color: #006699;
}

#cite pre {
	padding: 10px;
	text-align: left;
}


.sourceCode pre {
	background: #f9f9f9;
	padding: 10px;
	border-radius: 5px;
}

#reference-checker {
	position: absolute;
	background-color: white;
	padding: 15px;
	border: 1px solid lightgray;
	border-radius: 10px;
	display: none;
	/* width of reference checker should be 300px */
	width: 300px;
	z-index: 100000;
	/* overflow x should be hidden and overflow y should be auto */
	overflow-x: hidden;
	overflow-y: auto;
}


.keywords li {
	background-color: var(--pink);
    width: fit-content;
    padding: 5px;
    border-radius: 5px;
    margin: 5px;
    color: white;
	display: inline-block;
}